<?php
namespace Claromentis\Projects\Exceptions;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array();
use Claromentis\Projects\RFC7807\InvalidParams;
use Claromentis\Projects\RFC7807\RFC7807Interface;
use Exception;
use Throwable;






class ProjectsRestException extends Exception implements RFC7807Interface, InvalidParams
{
    
    
    
    
    private $invalid_params;
    
    
    
    
    private $status;
    
    
    
    
    private $title;
    
    
    
    
    private $type;
    
    
    
    
    private $detail;
    
    
    
    
    private $instance;
    
    
    
    
    
    
    
    
    
    
    
    
    public function __construct(array $_f342ff12f2ddef3da679db0625953ba7, string $_dadf790baf241afac942824c1e6e37c4, string $_feb9037589181bc30fa0f1cf78b9f056, int $status, ?string $_2bbf64d41f329799446f038d2b806771 = null, ?string $_78efcbd2884a565fc39f5546a8a74dcd = null, Throwable $_ee1c4cef8785a744408faf37f4e50100 = null)
    {
        parent::__construct($_feb9037589181bc30fa0f1cf78b9f056, 0, $_ee1c4cef8785a744408faf37f4e50100);
        $this->invalid_params = $_f342ff12f2ddef3da679db0625953ba7;
        $this->type = $_dadf790baf241afac942824c1e6e37c4;
        $this->title = $_feb9037589181bc30fa0f1cf78b9f056;
        $this->status = $status;
        $this->detail = $_2bbf64d41f329799446f038d2b806771;
        $this->instance = $_78efcbd2884a565fc39f5546a8a74dcd;
    }
    
    
    
    
    
    public function GetStatus() : int
    {
        return $this->status;
    }
    
    
    
    
    
    public function GetTitle() : string
    {
        return $this->title;
    }
    
    
    
    
    
    public function GetType() : string
    {
        return $this->type;
    }
    
    
    
    
    public function GetDetail() : ?string
    {
        return $this->detail;
    }
    
    
    
    
    public function GetInstance() : ?string
    {
        return $this->instance;
    }
    
    
    
    
    public function GetInvalidParams() : array
    {
        return $this->invalid_params;
    }
}